diff --git a/src/main/process.c b/src/main/process.c
index b2cf974eb3e..96b35cfe260 100644
--- a/src/main/process.c
+++ b/src/main/process.c
@@ -2436,7 +2436,7 @@ int request_proxy_reply(RADIUS_PACKET *reply)
 	 *	server core, but I guess we can fix that later.
 	 */
 	if (!proxy->reply && (fr_radius_verify(reply, proxy->packet, proxy->home_server->secret) != 0)) {
-		RWDEBUG("Discarding invalid reply from host %s port %d - ID: %d: $s",
+		RWDEBUG("Discarding invalid reply from host %s port %d - ID: %d: %s",
 			inet_ntop(reply->src_ipaddr.af, &reply->src_ipaddr.ipaddr, buffer, sizeof(buffer)),
 			reply->src_port, reply->id, fr_strerror());
 		return 0;
